<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Sleeve](./bitburner.sleeve.md) &gt; [purchaseSleeveAug](./bitburner.sleeve.purchasesleeveaug.md)

## Sleeve.purchaseSleeveAug() method

Purchase an aug for a sleeve.

**Signature:**

```typescript
purchaseSleeveAug(sleeveNumber: number, augName: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

sleeveNumber


</td><td>

number


</td><td>

Index of the sleeve to buy an aug for.


</td></tr>
<tr><td>

augName


</td><td>

string


</td><td>

Name of the aug to buy. Must be an exact match.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if the aug was purchased and installed on the sleeve, false otherwise.

## Remarks

RAM cost: 4 GB

Return true if the aug was purchased and installed on the sleeve.

